* {
    box-sizing: border-box;
}

:root {
    --color1: #91bbc7;
    --color2: #cde4e5;
    --color3: #00080c;
    --color4: #717a7d;
    --color5: #f8f8f8;
    --color6: rgba(255, 255, 255, 0.17);
    --color7: #a1cce538;
}

body {
    background-color: var(--color2);
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
    padding: 50px;
}

input[type="checkbox"] {
    width: 10px;
}

#privatebody {
    background-color: #cde4e58b;
    padding: 100px;
}

h1 {
    font-size: 3em;
    color: var(--color3);
}

h2 {
    font-size: 2em;
    color: var(--color3);
}

ul {
    list-style: none;
    margin: 20px;
    padding: 20px;
}

li {
    padding: 10px;
}

a {
    text-decoration: none;
    color: var(--color3);
}

.boton-icono-a {
    text-decoration: none;
    font-size: 1.2em;
    color: var(--color3);
    padding: 5px;
    border-radius: 5px;
    display: inline-block;
    background-color: #91bbc73e;
    width: auto;
}

.boton-icono-a {
    max-width: 300px;
    text-align: center;
}


.boton-icono-a:hover {
    background-color: #00080c1c;
    color: var(--color3);
}

.rotate-left {
    padding-left: 10px;
}

.boton-icono-a i {
    color: inherit;
}


a:hover {
    background-color: var(--color4);
}

.boton-icono-a a:hover {
    background-color: transparent;
}



a:hover {
    background-color: var(--color1);
    border-radius: 5px;
    padding: 5px;
}

label {
    padding: 5px;
    margin: 0px;
    font-size: 1.2em;
}

input[type="text"] {
    border: none;
    border-radius: 8px;
    padding: 8px;
    margin: 5px;
    background-color: var(--color5);
    font-size: 0.7em;
}

input[type="email"] {
    border: none;
    border-radius: 8px;
    padding: 8px;
    margin: 5px;
    background-color: var(--color5);
    font-size: 0.7em;
}

input[type="number"] {
    border: none;
    border-radius: 8px;
    padding: 8px;
    margin: 5px;
    background-color: var(--color5);
    font-size: 0.7em;
}

input[type="password"] {
    border: none;
    border-radius: 8px;
    padding: 8px;
    margin: 5px;
    background-color: var(--color5);
    font-size: 0.7em;
}

input[type="datetime-local"] {
    border: none;
    border-radius: 8px;
    padding: 8px;
    margin: 5px;
    background-color: var(--color5);
    font-size: 0.7em;
}

input[type="date"] {
    border: none;
    border-radius: 8px;
    padding: 8px;
    margin: 5px;
    background-color: var(--color5);
    font-size: 0.7em;
}

input[type="file"] {
    border: none;
    border-radius: 8px;
    padding: 8px;
    background-color: var(--color4);
    color: var(--color5);
    font-size: 0.7em;
    width: 50px;
}


select {
    border: none;
    border-radius: 8px;
    padding: 8px;
    margin: 5px;
    background-color: var(--color5);
    font-size: 0.8em;
}

button[type="submit"] {
    background-color: var(--color3);
    color: var(--color2);
    border: none;
    padding: 10px 16px;
    margin: 5px;
    border-radius: 6px;
    font-size: 1.1em;
    cursor: pointer;
}


textarea {
    border: none;
    border-radius: 5px;
    background-color: var(--color5);
    min-width: 30%;
    max-width: 60%;
    min-height: 30%;
    max-height: 20%;
    width: 40%;
    height: 200px;
}

#inicio {
    padding: 7px;
    margin: 8px;
    margin-top: 10px;
}

.ticket {
    color: var(--color3);
    font-size: 1.5em;
}

.inicio2 {
    font-size: 2em;
}

.btn-copiar {
    font-size: 1.2em;
    background-color: var(--color4);
    border: none;
    border-radius: 5px;
    border-bottom: #717a7d;
    color: var(--color5);
}

.btn-copiar:hover {
    background-color: var(--color1);
}

#respuesta {
    display: grid;
    grid-template-columns: auto auto auto;
}

.respuestaseg {
    font-size: 1.5em;
}

.botonprivate {
    font-size: 1em;
    background-color: var(--color2);
    border: none;
    border-radius: 5px;
    padding: 5px;
}

#privatebody button[type="submit"] {
    border: none;
    border-radius: 8px;
    padding: 0px;
    margin: 5px;
    background-color: #717a7d;
    color: var(--color3);
    font-size: 1em;
}

#privatebody button[type="submit"]:hover {
    background-color: var(--color2);
}

#privatebody h2 {
    background-color: #a1cce538;
    border-radius: 8px;
    padding: 50px;
}

#privatebody form {
    background-color: var(--color7);
    border-radius: 8px;
    padding: 20px;
}

.parrafo {
    color: var(--color3);
    font-size: 1.5em;
}

#divpanel {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    width: 80%;
    font-size: 1.5em;
    margin: auto;
    justify-items: center;
}


#ulpanel {
    background-color: var(--color7);
    margin: 0px;
    border-radius: 8px;
}

#privatebody li {
    list-style: none;
}

.sesion {
    background-color: var(--color1);
    padding: 10px;
    border-radius: 8px;
    color: var(--color2);
}

.opcion {
    background-color: var(--color1);
    border-radius: 8px;
    color: var(--color2);
    font-size: 1.8em;
}

.link {
    width: 80%;
    color: var(--color3);
    font-size: 1.8em;
}

.link:hover {
    background-color: #90a2a8;
    width: 50%;
}

.linkgestor {
    color: var(--color3);
    font-size: 1.2em;
    width: auto;
    background-color: #6666666f;

    border-radius: 7px;
    padding: 5px;
    margin: 2px;
}

.linkgestor:hover {
    background-color: var(--color2);
    color: var(--color3);
}

* {
    box-sizing: border-box;
}

.botonvolver {
    background-color: var(--color1);
    border: none;
    border-radius: 8px;
}

fieldset {
    border-radius: 8px;
    padding: 0px;
    color: var(--color3);
    font-size: 1.2em;
    border-color: var(--color1);
    align-items: center;
    justify-content: center;
    width: 100%;
    margin: auto;
    padding-bottom: 20px;
    border: solid 1px;
}

.filtroform {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    width: 100%;
    padding: 20px;
}

.filtroform input,
.filtroform select {
    width: 100%;
}


.botonfiltro {
    display: grid;
    grid-template-columns: 50% 50%;
    margin: auto;
    text-align: center;
}

legend {
    font-size: 1.5em;
    margin: 5px;
    padding: 5px;
    color: var(--color3);
}

#privatebody button[type="button"] {
    border: none;
    border-radius: 8px;
    background-color: var(--color4);
    padding: 0px;
    margin: 5px;
    color: var(--color3);
    font-size: 1em;
}

#privatebody button[type="button"]:hover {
    background-color: var(--color2);
}

.add {
    background-color: var(--color1);
    color: var(--color4);
    width: 20%;
}

.add:hover {
    background-color: var(--color2);
    color: var(--color3);
}

.ver {
    font-size: 1.3em;
}

.ver:hover {
    color: var(--color2);
}

#form2 {
    display: grid;
    grid-template-columns: auto auto;
    grid-template-columns: auto auto;
    text-align: right;
    margin: auto;
    width: 80%;
}

#privatebody p {
    color: var(--color2);
}

#privatebody h3 {
    color: var(--color3);
}

.respuesta {
    display: grid;
    grid-template-columns: 20% 20% 30% 30%;
    font-size: 1.5em;
    background-color: var(--color7);
    border-radius: 5px;
    padding: 5px;
}

.respuesta strong {
    color: var(--color3);
    font-size: 1em;
}

.colorletras {
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
    display: block;
    max-width: 100%;
}

.respuesta .colorletras {
    color: var(--color3);
    font-size: 1em;
    padding: 3px;
}

.respuesta2 {
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    font-size: 1.2em;
    background-color: var(--color7);
    border-radius: 5px;
    padding: 2px;
}

.respuesta2 p {
    margin: 5px;
}

.respuesta2 strong {
    font-size: 1em;
    color: var(--color3);
}

.respuesta2 .colorletras {
    color: var(--color3);
    font-size: 1em;
}

.titulo3 {
    font-size: 2em;
    color: var(--color3);
}

.reclamo1 {
    font-size: 1.5em;
    background-color: var(--color7);
    font-size: 1em;
    border-radius: 5px;
    padding: 5px;
    display: grid;
    grid-template-columns: 30% 30% 40%;
    align-items: center;
    width: 100%;
}

.reclamo1 strong {
    color: var(--color3);
    font-size: 1.2em;
    width: 100%;
}

.reclamo1 div:nth-child(3) strong {
    max-height: 150px;
    overflow-y: auto;
    overflow-x: hidden;
    display: block;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
    padding: 5px;
}

.reclamo1 div:nth-child(3) strong::-webkit-scrollbar {
    width: 6px;
}

.reclamo1 div:nth-child(3) strong::-webkit-scrollbar-thumb {
    /* background-color: rgba(0, 0, 0, 0.4); */
    border-radius: 5px;
}

.reclamo1:hover {
    background-color: rgba(255, 255, 255, 0.54);
}

.reclamo1 .colorletras {
    font-size: 1.2em;
    color: var(--color3);
    padding: 5px;
}

.formreclamo {
    display: grid;
    grid-template-columns: auto auto;
    justify-content: center;
}

#nuevoreclamo {
    width: 80%;
    margin: auto;
}

.nuevousuario {
    display: grid;
    grid-template-columns: auto auto auto auto;
    width: 80%;
    margin: auto;
    text-align: end;
}

.formclave {
    display: grid;
    grid-template-columns: auto auto;
    width: 80%;
    justify-items: center;
    margin: auto;
}

#privatebody .formclave p {
    font-size: 1.5em;
    color: var(--color3);
}

#privatebody .colorinput {
    background-color: var(--color5);
}

.formreclamonuevo {
    display: grid;
    grid-template-columns: auto auto auto auto auto auto;
    justify-content: center;
}

.motivo {
    width: 30%;
}

.check-icono {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    font-size: 1.6em;
    user-select: none;
}

.check-icono input {
    display: none;
}

.check-icono i {
    color: #3b3939;
    transition: color 0.2s ease, transform 0.1s ease;
}

.check-icono input:checked+i {
    color: rgb(2, 178, 2);
}

.check-icono:hover i {
    transform: scale(1.1);
}

.formnuevousuario .check-icono {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    font-size: 1.6em;
    user-select: none;
}

.formnuevousuario .check-icono input {
    display: none;
}

.formnuevousuario .check-icono i {
    color: #3b3939;
    transition: color 0.2s ease, transform 0.1s ease;
}

.formnuevousuario .check-icono input:checked+i {
    color: rgb(2, 178, 2);
}

.formnuevousuario .check-icono:hover i {
    transform: scale(1.1);
}


.home-icono i {
    color: var(--color4);
    font-size: 0.8em;
}

.header {
    width: 100%;
    background-color: #a1cce538;
    border-radius: 8px;
}

.header a {
    color: var(--color3);
}

.barranav {
    background-color: var(--color5);
    border-radius: 8px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    width: 100%;
    font-size: 1.1em;
    justify-items: center;
    width: 100%;
}

.header h1 {
    font-size: 1.2em;
}

.barranav a {
    width: 100%;
    padding: 10px;
    border-radius: 6px;
    transition: background-color 0.2s ease, color 0.2s ease;
}

.barranav a:hover {
    background-color: var(--color2);
    color: var(--color3);
}

.fa-file-circle-exclamation {
    color: #00080c;
    font-size: 0.9em;
    margin: 5px;
}

.fa-user-group {
    color: #00080c;
    font-size: 0.9em;
    margin: 5px;
}

.fa-user-plus {
    color: #00080c;
    font-size: 0.9em;
    margin: 5px;
}

.encabezado {
    display: grid;
    grid-template-columns: 15% 20% 25% 15% 15% 10%;
    background-color: var(--color3);
    border-radius: 8px;
    padding: 8px;
    color: var(--color2);
    font-size: 1.5em;
    margin-bottom: 2px;
}

.reclamofila {
    display: grid;
    grid-template-columns: 15% 20% 25% 15% 15% 10%;
    color: #00080c;
    background-color: var(--color7);
    padding: 4px;
    align-items: center;
    font-size: 1.2em;
}

.reclamofila:hover {
    background-color: #c3d9e0dd;
    color: var(--color3);
    border-radius: 5px;
}

.encabezadouser {
    display: grid;
    grid-template-columns: 35% 35% 10% 10% 10%;
    background-color: var(--color3);
    color: var(--color2);
    font-size: 1.5em;
    padding: 8px;
    border-radius: 5px;
}

.filauser {
    display: grid;
    grid-template-columns: 35% 35% 10% 10% 10%;
    background-color: var(--color1);
    color: var(--color3);
    padding: 8px;
    align-items: center;
    border-radius: 3px;
    font-size: 1.2em;
}

.filauser:hover {
    background-color: #c3d9e047;
    color: var(--color3);
    border-radius: 5px;
}

.historial {
    background-color: var(--color3);
    display: grid;
    grid-template-columns: 30% 30% 40%;
    width: 100%;
    border-radius: 5px;
}

#privatebody .letratitulo {
    color: var(--color5);
}

.historial-resultado {
    font-size: 1.2em;
    padding: 4px;
    border-radius: 8px;
}

.historial-fila {
    display: grid;
    grid-template-columns: 30% 30% 40%;
    width: 100%;
    padding: 10px;
    border-radius: 6px;
    transition: background-color 0.2s ease;
    background-color: var(--color2);
}

.historial-fila:hover {
    background-color: rgba(255, 255, 255, 0.2);
    cursor: pointer;
}

.encabezado-respuesta {
    display: grid;
    grid-template-columns: 30% 30% 40%;
    background-color: var(--color3);
    border-radius: 5px;
    width: auto;
}

.adjuntar input {
    display: none;
}

.adjuntar {
    font-size: 1.1em;
    width: auto;
    margin: auto;
    border-radius: 8px;
}

.adjuntar:hover {
    background-color: var(--color1);

}

.adjunto {
    color: var(--color3);
    font-size: 1.2em;
    background-color: var(--color4);
    border-radius: 8px;
}

.adjunto:hover {
    background-color: var(--color3);
    color: var(--color2);
}

.hechos {
    border-color: var(--color1);
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    grid-template-rows: auto auto;
    width: 100%;
    margin: 2px;
    font-size: 0.8em;
}

.hechos label {
    width: 100%;
    margin: auto;
}

/* Todos los input y select dentro de .hechos al 100% */
.hechos input:not([type="file"]),
.hechos select {
    width: 80%;
    box-sizing: border-box;
}

/* El input file queda con su tamaño natural */
.hechos input[type="file"] {
    width: auto;
}


.fa-envelope {
    font-size: 1.5em;
    padding: 5px;
    border-radius: 7px;
}

.fa-envelope:hover {
    color: var(--color2);
}

.boton-icono {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    font-size: 1.5em;
    user-select: none;
    background-color: #717a7d;
    border-radius: 7px;
    padding: 3px;
    margin: 2px;
    padding-top: 0px;
    padding-bottom: 0px;
}

.boton-icono:hover {
    background-color: var(--color2);
}

.boton-icono input {
    display: none;
}

.boton-icono input:hover {
    background-color: var(--color2);
}

.selectestado {
    font-size: 1.5em;
    padding: 3px;
    background-color: var(--color2);
}

.datosuser {
    display: grid;
    grid-template-columns: 50% 50%;
    font-size: 1.5em;
    width: 80%;
    margin: auto;
}

.datosuser strong {
    color: var(--color3);
}

.observaciones-lista {
    width: 100%;
    background-color: var(--color7);
}

.observacion-fila {
    display: grid;
    grid-template-columns: 30% 30% 40%;
    padding: 10px;
    border-radius: 6px;
    background-color: var(--color7);
    transition: background-color 0.2s ease;
    
}

.observacion-fila:hover {
    background-color: rgba(255, 255, 255, 0.2);
    cursor: pointer;
}

.observacion-fila div {
    padding: 6px;
}

/* contenedor de la columna observación */
.observacion-fila div:nth-child(3) {
    max-height: 150px;
    overflow-y: auto;
    overflow-x: hidden;
    word-break: break-word;
    white-space: normal;
    padding-right: 5px;
}

/* opcional: scrollbar bonito */
.observacion-fila div:nth-child(3)::-webkit-scrollbar {
    width: 6px;
}

.observacion-fila div:nth-child(3)::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, 0.4);
    border-radius: 6px;
}

.campo-reclamo {
    display: grid;
    grid-template-rows: auto;
    background-color: var(--color2);
    border-radius: 7px;
    padding: 10px;
    font-size: 1.1em;
    justify-content: center;
}

.campo-reclamo strong {
    font-size: 1.5em;
    padding: 10px;
}

.campo-reclamo span {
    padding: 10px;
    width: 95%;
    margin: auto;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
    max-height: 300px;
    overflow-y: auto;
    overflow-x: hidden;
    display: block;
}


.inicio {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: var(--color1);
    width: 90%;
    margin: auto;
    font-size: 2em;
    border-radius: 8px;
    justify-items: center;
    padding: 10px;
}

.inicio a {
    width: 100%;
    padding: 10px;
    border-radius: 6px;
}

.inicio a:hover {
    background-color: var(--color2);
    width: 100%;
    border-radius: 8px;
}

.anuncio {
    font-size: 1.2em;
}

.boton-icono-public button {
    background-color: var(--color3);
    color: var(--color2);
    display: flex;
    align-items: center;
    gap: 8px;
    margin: auto;
    padding: 5px;
}

.boton-icono-public button:hover {
    background-color: var(--color1);
    color: var(--color3);
}

.implicados {
    font-size: 1em;
}

.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.modal-contenido {
    background: var(--color2);
    padding: 20px;
    border-radius: 8px;
    width: 400px;
    max-width: 90%;
}

.modal-contenido ul {
    text-align: left;
}

.btn-ver {
    padding: 6px 12px;
    background: var(--color3);
    color: var(--color2);
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.btn-ver:hover {
    background: var(--color1);
}

.politica {
    width: 100%;
    font-size: 0.5em;
}

.relacion {
    font-size: 1em;
}

.fechahora {
    font-size: 0.9em;
}

.fechahora input {
    font-size: 1.2em;
}

/* Campos deshabilitados */
input:disabled {
    background-color: #e0e0e0;
    color: #666;
    cursor: not-allowed;
}

input:disabled {
    background-color: #e6e6e6;
    color: #777;
    border: 1px solid #ccc;
}